Page MenuHomePhabricator

Argument 2 passed to MediaWiki\Extension\WikimediaEditorTasks\Hooks::countersOnEditSuccess() must be an instance of MediaWiki\Revision\RevisionRecord, null given, called in /srv/mediawiki/php-1.35.0-wmf.10/extensions/WikimediaEditorTasks/src/Hooks.php on line 78
Closed, ResolvedPublicBUG REPORT

Description

#0 /srv/mediawiki/php-1.35.0-wmf.10/extensions/WikimediaEditorTasks/src/Hooks.php(78): MediaWiki\Extension\WikimediaEditorTasks\Hooks::countersOnEditSuccess(Object(User), NULL)
#1 /srv/mediawiki/php-1.35.0-wmf.10/includes/deferred/AutoCommitUpdate.php(46): MediaWiki\Extension\WikimediaEditorTasks\Hooks::MediaWiki\Extension\WikimediaEditorTasks\{closure}(Object(Wikimedia\Rdbms\DBConnRef), 'MediaWiki\\Exten...')
#2 /srv/mediawiki/php-1.35.0-wmf.10/includes/deferred/DeferredUpdates.php(416): AutoCommitUpdate->doUpdate()
#3 /srv/mediawiki/php-1.35.0-wmf.10/includes/deferred/DeferredUpdates.php(296): DeferredUpdates::attemptUpdate(Object(AutoCommitUpdate), Object(Wikimedia\Rdbms\LBFactoryMulti))
#4 /srv/mediawiki/php-1.35.0-wmf.10/includes/deferred/DeferredUpdates.php(233): DeferredUpdates::run(Object(AutoCommitUpdate), Object(Wikimedia\Rdbms\LBFactoryMulti), Object(Monolog\Logger), Object(BufferingStatsdDataFactory), 'post')
#5 /srv/mediawiki/php-1.35.0-wmf.10/includes/deferred/DeferredUpdates.php(150): DeferredUpdates::handleUpdateQueue(Array, 'run', 2)
#6 /srv/mediawiki/php-1.35.0-wmf.10/includes/MediaWiki.php(1053): DeferredUpdates::doUpdates('run')
#7 /srv/mediawiki/php-1.35.0-wmf.10/includes/MediaWiki.php(833): MediaWiki->restInPeace()
#8 /srv/mediawiki/php-1.35.0-wmf.10/includes/MediaWiki.php(842): MediaWiki->{closure}()
#9 /srv/mediawiki/php-1.35.0-wmf.10/api.php(113): MediaWiki->doPostOutputShutdown()
#10 /srv/mediawiki/w/api.php(3): require('/srv/mediawiki/...')
#11 {main}

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 18 2019, 12:17 AM
Mholloway triaged this task as High priority.Dec 18 2019, 12:17 AM
Mholloway updated the task description. (Show Details)

Change 559894 had a related patch set uploaded (by MSantos; owner: MSantos):
[mediawiki/extensions/WikimediaEditorTasks@master] Check for null RevRec in onPageContentSaveComplete

https://gerrit.wikimedia.org/r/559894

Change 559894 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEditorTasks@master] Get revision record from revision object

https://gerrit.wikimedia.org/r/559894

Change 559931 had a related patch set uploaded (by Mholloway; owner: MSantos):
[mediawiki/extensions/WikimediaEditorTasks@wmf/1.35.0-wmf.11] Get revision record from revision object

https://gerrit.wikimedia.org/r/559931

Change 559931 merged by Mholloway:
[mediawiki/extensions/WikimediaEditorTasks@wmf/1.35.0-wmf.11] Get revision record from revision object

https://gerrit.wikimedia.org/r/559931

Mentioned in SAL (#wikimedia-operations) [2019-12-20T18:44:51Z] <mholloway-shell@deploy1001> Synchronized php-1.35.0-wmf.11/extensions/WikimediaEditorTasks: Fix: Get RevisionRecord directly from the Revision in onPageContentSaveComplete (T241014) (duration: 00m 54s)

Mholloway closed this task as Resolved.Dec 20 2019, 7:35 PM